package vip.xiaonuo.production.service;

import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProduceLocation;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.production.param.ProductionLocationEditParam;
import vip.xiaonuo.production.param.ProductionLocationParam;

import java.util.Map;

/**
 * <p>
 * 生成管控公司与车间对应表 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
public interface IProduceLocationService extends IService<ProduceLocation> {

    CommonResult add(ProductionLocationParam param);

    CommonResult list(Map<String, String> paramsMap);

    CommonResult edit(ProductionLocationEditParam editParam);

    CommonResult delete(Map<String, String> paramsMap);

    CommonResult page(Map<String, String> paramsMap);

}
